Untitled

mail@pastecode.io avatar
unknown
plain_text
2 years ago
7.7 kB
6
Indexable
Never
Internal Server Error: /admin/django_novaposhta/preferences/
django_1     | Traceback (most recent call last):
django_1     |   File "/usr/local/lib/python3.9/site-packages/kombu/utils/functional.py", line 30, in __call__
django_1     |     return self.__value__
django_1     | AttributeError: 'ChannelPromise' object has no attribute '__value__'
django_1     | 
django_1     | During handling of the above exception, another exception occurred:
django_1     | 
django_1     | Traceback (most recent call last):
django_1     |   File "/usr/local/lib/python3.9/site-packages/kombu/connection.py", line 446, in _reraise_as_library_errors
django_1     |     yield
django_1     |   File "/usr/local/lib/python3.9/site-packages/kombu/connection.py", line 433, in _ensure_connection
django_1     |     return retry_over_time(
django_1     |   File "/usr/local/lib/python3.9/site-packages/kombu/utils/functional.py", line 312, in retry_over_time
django_1     |     return fun(*args, **kwargs)
django_1     |   File "/usr/local/lib/python3.9/site-packages/kombu/connection.py", line 877, in _connection_factory
django_1     |     self._connection = self._establish_connection()
django_1     |   File "/usr/local/lib/python3.9/site-packages/kombu/connection.py", line 812, in _establish_connection
django_1     |     conn = self.transport.establish_connection()
django_1     |   File "/usr/local/lib/python3.9/site-packages/kombu/transport/pyamqp.py", line 201, in establish_connection
django_1     |     conn.connect()
django_1     |   File "/usr/local/lib/python3.9/site-packages/amqp/connection.py", line 323, in connect
django_1     |     self.transport.connect()
django_1     |   File "/usr/local/lib/python3.9/site-packages/amqp/transport.py", line 129, in connect
django_1     |     self._connect(self.host, self.port, self.connect_timeout)
django_1     |   File "/usr/local/lib/python3.9/site-packages/amqp/transport.py", line 184, in _connect
django_1     |     self.sock.connect(sa)
django_1     | ConnectionRefusedError: [Errno 111] Connection refused
django_1     | 
django_1     | The above exception was the direct cause of the following exception:
django_1     | 
django_1     | Traceback (most recent call last):
django_1     |   File "/usr/local/lib/python3.9/site-packages/django/core/handlers/exception.py", line 47, in inner
django_1     |     response = get_response(request)
django_1     |   File "/usr/local/lib/python3.9/site-packages/django/core/handlers/base.py", line 181, in _get_response
django_1     |     response = wrapped_callback(request, *callback_args, **callback_kwargs)
django_1     |   File "/usr/local/lib/python3.9/site-packages/django/utils/decorators.py", line 130, in _wrapped_view
django_1     |     response = view_func(request, *args, **kwargs)
django_1     |   File "/usr/local/lib/python3.9/site-packages/django/views/decorators/cache.py", line 44, in _wrapped_view_func
django_1     |     response = view_func(request, *args, **kwargs)
django_1     |   File "/usr/local/lib/python3.9/site-packages/django/contrib/admin/sites.py", line 232, in inner
django_1     |     return view(request, *args, **kwargs)
django_1     |   File "/usr/local/lib/python3.9/site-packages/solo/admin.py", line 64, in change_view
django_1     |     return super(SingletonModelAdmin, self).change_view(
django_1     |   File "/usr/local/lib/python3.9/site-packages/django/contrib/admin/options.py", line 1660, in change_view
django_1     |     return self.changeform_view(request, object_id, form_url, extra_context)
django_1     |   File "/usr/local/lib/python3.9/site-packages/django/utils/decorators.py", line 43, in _wrapper
django_1     |     return bound_method(*args, **kwargs)
django_1     |   File "/usr/local/lib/python3.9/site-packages/django/utils/decorators.py", line 130, in _wrapped_view
django_1     |     response = view_func(request, *args, **kwargs)
django_1     |   File "/usr/local/lib/python3.9/site-packages/django/contrib/admin/options.py", line 1540, in changeform_view
django_1     |     return self._changeform_view(request, object_id, form_url, extra_context)
django_1     |   File "/usr/local/lib/python3.9/site-packages/django/contrib/admin/options.py", line 1594, in _changeform_view
django_1     |     return self.response_change(request, new_object)
django_1     |   File "/usr/local/lib/python3.9/site-packages/django_novaposhta/admin/preferences.py", line 154, in response_change
django_1     |     update_novaposhta_task.delay()
django_1     |   File "/usr/local/lib/python3.9/site-packages/celery/app/task.py", line 422, in delay
django_1     |     return self.apply_async(args, kwargs)
django_1     |   File "/usr/local/lib/python3.9/site-packages/celery/app/task.py", line 572, in apply_async
django_1     |     return app.send_task(
django_1     |   File "/usr/local/lib/python3.9/site-packages/celery/app/base.py", line 767, in send_task
django_1     |     amqp.send_task_message(P, name, message, **options)
django_1     |   File "/usr/local/lib/python3.9/site-packages/celery/app/amqp.py", line 510, in send_task_message
django_1     |     ret = producer.publish(
django_1     |   File "/usr/local/lib/python3.9/site-packages/kombu/messaging.py", line 177, in publish
django_1     |     return _publish(
django_1     |   File "/usr/local/lib/python3.9/site-packages/kombu/connection.py", line 523, in _ensured
django_1     |     return fun(*args, **kwargs)
django_1     |   File "/usr/local/lib/python3.9/site-packages/kombu/messaging.py", line 186, in _publish
django_1     |     channel = self.channel
django_1     |   File "/usr/local/lib/python3.9/site-packages/kombu/messaging.py", line 209, in _get_channel
django_1     |     channel = self._channel = channel()
django_1     |   File "/usr/local/lib/python3.9/site-packages/kombu/utils/functional.py", line 32, in __call__
django_1     |     value = self.__value__ = self.__contract__()
django_1     |   File "/usr/local/lib/python3.9/site-packages/kombu/messaging.py", line 225, in <lambda>
django_1     |     channel = ChannelPromise(lambda: connection.default_channel)
django_1     |   File "/usr/local/lib/python3.9/site-packages/kombu/connection.py", line 895, in default_channel
django_1     |     self._ensure_connection(**conn_opts)
django_1     |   File "/usr/local/lib/python3.9/site-packages/kombu/connection.py", line 433, in _ensure_connection
django_1     |     return retry_over_time(
django_1     |   File "/usr/local/lib/python3.9/contextlib.py", line 137, in __exit__
django_1     |     self.gen.throw(typ, value, traceback)
django_1     |   File "/usr/local/lib/python3.9/site-packages/kombu/connection.py", line 450, in _reraise_as_library_errors
django_1     |     raise ConnectionError(str(exc)) from exc
django_1     | kombu.exceptions.OperationalError: [Errno 111] Connection refused
django_1     | 'HttpResponse' object has no attribute '_init_stack'
django_1     | Traceback (most recent call last):
django_1     |   File "/usr/local/lib/python3.9/site-packages/pxd_actions_tracker/trackers/track_views.py", line 162, in track
django_1     |     detail = detail_resolver(request, **kw)
django_1     |   File "/usr/local/lib/python3.9/site-packages/pxd_actions_tracker/trackers/track_views.py", line 136, in resolve_log_detail
django_1     |     error_data = resolve_exception_data(error, response)
django_1     |   File "/usr/local/lib/python3.9/site-packages/pxd_actions_tracker/trackers/track_views.py", line 91, in resolve_exception_data
django_1     |     'traceback': ''.join(traceback.format_list(response._init_stack))
django_1     | AttributeError: 'HttpResponse' object has no attribute '_init_stack'